El usuario no puede utilizar Composer para instalar su propio repository de git

Intento include un repository que creé en github, usando Composer. En mi composer.json tengo:

"repositories": [ ... { "type": "vcs", "url": "https://github.com/unknownfrequency/zendservice_discogs" } ], "require": { "unknownfrequency/zendservice_discogs": "dev-master", } 

Cuando ejecuto $> composer install -vvv, obtengo:

 @unknown-2~/workspace/imusic $ composer install -vvv Downloading composer.json Loading composer repositories with package information ... Downloading ..//packages.zendframework/packages.json Downloading ...api.github/repos/unknownfrequency/zendservice_discogs Downloading ...github/repos/unknownfrequency/zendservice_discogs/contents/composer.json?ref=master Downloading ../api.github/repos/unknownfrequency/zendservice_discogs/commits/master Downloading ...//api.github/repos/unknownfrequency/zendservice_discogs/tags Downloading ...//api.github/repos/unknownfrequency/zendservice_discogs/git/refs/heads Reading composer.json of zendframework/zendservice-discogs (master) Importing branch master (dev-master) Downloading https://packagist.org/packages.json Downloading https://packagist.org/p/provider- latest$cf8f23c1297b4c86275ae395aed6402ba4f5cc186e587b80f8dd5ecca7d60e3f.json Installing dependencies Your requirements could not be resolved to an installable set of packages. Problem 1 - The requested package unknownfrequency/zendservice_discogs could not be found in any version, there may be a typo in the package name. Potential causes: - A typo in the package name - The package is not available in a stable-enough version according to your minimum- stability setting 

Intenté arreglar esto por muchas horas ahora. ¡Espero que alguien pueda ayudar!

El package no está disponible en una versión lo suficientemente estable de acuerdo con su configuration de estabilidad mínima "

Ese es el problema. Necesita una twig de desarrollo, pero no permite include la estabilidad de desarrollo en general.

Agregue "minimum-stability":"dev" a su file composer.json.

En realidad, solo era cuestión de hacer un:

 php composer.phar self-update